Subject: Re: bug#64547: `show-paren-mode` thinks that a paren is offscreen in `M-:` when it isn't

From: Eli Zaretskii <[email-masked]>
Date: Mon, 10 Jul 2023 15:15:48 +0300

> Date: Sun, 09 Jul 2023 19:49:06 +0000
> From:  Okamsn via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> I have `show-paren-style` set to `mixed` and 
> `show-paren-context-when-offscreen` set to `overlay`.
> 
> When using `eval-expression`, `show-paren` thinks that the starting 
> parenthesis is offscreen.
> 
> I have attached images showing how, although I am typing on the same 
> line as the parenthesis, the context overlay is still shown.
> 
> With `show-paren-when-point-inside-paren` enabled, typing before the 
> closing parenthesis causes the prompt of `M-:` to be shown before 
> quickly being hidden by the context overlay again. This causes text to 
> quickly move side to side as I type. I have attached a screen recording 
> of this movement.
> 
> This is in Emacs 29.0.92. If it is relevant, I have `line-spacing` set 
> to 0.15.

I cannot reproduce this.  I see neither of the problems you describe,
and nothing like the screen recording you posted.  You don't show the
details of your platform and build, so maybe it is something specific
to that (macOS, per chance?).

Can you post a detailed reproduction recipe, starting from "emacs -Q"
and showing all the settings and commands you have to do to reproduce
the problem.

Thanks.